Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.exp.parser
Class ASTNotLikeIgnoreCase

    java.lang.Object
      org.objectstyle.cayenne.exp.Expression
          org.objectstyle.cayenne.exp.parser.SimpleNode
              org.objectstyle.cayenne.exp.parser.ConditionNode
                  org.objectstyle.cayenne.exp.parser.PatternMatchNode
                      org.objectstyle.cayenne.exp.parser.ASTNotLikeIgnoreCase

All Implemented Interfaces:
  java.io.Serializable, Node, XMLSerializable

    public class ASTNotLikeIgnoreCase

extends PatternMatchNode

"Not like, ignore case" expression.

Author:
  Andrei Adamchik
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.objectstyle.cayenne.exp.parser.PatternMatchNode
`ignoringCase, pattern, patternCompiled`

Fields inherited from class org.objectstyle.cayenne.exp.parser.SimpleNode
`children, id, parent`

Fields inherited from class org.objectstyle.cayenne.exp.Expression
`ADD, ALL, AND, ANY, AVG, BETWEEN, COUNT, DB_PATH, DIVIDE, EQUAL_TO, EXISTS, GREATER_THAN, GREATER_THAN_EQUAL_TO, IN, LESS_THAN, LESS_THAN_EQUAL_TO, LIKE, LIKE_IGNORE_CASE, LIST, MAX, MIN, MULTIPLY, NEGATIVE, NOT, NOT_BETWEEN, NOT_EQUAL_TO, NOT_IN, NOT_LIKE, NOT_LIKE_IGNORE_CASE, OBJ_PATH, OR, POSITIVE, PRUNED_NODE, RAW_SQL, SOME, SUBQUERY, SUBTRACT, SUM, type`

Constructor Summary
`ASTNotLikeIgnoreCase()`
`ASTNotLikeIgnoreCase(ASTPath path, java.lang.Object value)`

Method Summary
`protected java.lang.Object` | `evaluateNode(java.lang.Object o)` Evaluates itself with object, pushing result on the stack.
`protected java.lang.String` | `getExpressionOperator(int index)`
`int` | `getType()` Returns a type of expression.
`Expression` | `shallowCopy()` Creates a copy of this expression node, without copying children.

Methods inherited from class org.objectstyle.cayenne.exp.parser.PatternMatchNode
`getPattern, jjtAddChild, matchPattern`

Methods inherited from class org.objectstyle.cayenne.exp.parser.ConditionNode
`jjtSetParent`

Methods inherited from class org.objectstyle.cayenne.exp.parser.SimpleNode
`encodeAsEscapedString, encodeAsString, encodeScalarAsString, evaluate, evaluateChild, expName, flattenTree, getOperand, getOperandCount, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, notExp, pruneNodeForPrunedChild, setOperand, unwrapChild, wrapChild`

Methods inherited from class org.objectstyle.cayenne.exp.Expression
`andExp, deepCopy, encodeAsXML, equals, expWithParameters, expWithParameters, filter, filterObjects, fromString, joinExp, match, orExp, setType, toString, transform, transformExpression, traverse, traverse`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTNotLikeIgnoreCase

    public ASTNotLikeIgnoreCase()

### ASTNotLikeIgnoreCase

    public ASTNotLikeIgnoreCase(ASTPath path,
                                java.lang.Object value)

Method Detail

### evaluateNode

    protected java.lang.Object evaluateNode(java.lang.Object o)
                                     throws java.lang.Exception

  Description copied from class: `SimpleNode`
  Evaluates itself with object, pushing result on the stack.

  Specified by:
    `evaluateNode` in class `SimpleNode`
  Throws:
    `java.lang.Exception`

### shallowCopy

    public Expression shallowCopy()

  Creates a copy of this expression node, without copying children.

  Specified by:
    `shallowCopy` in class `Expression`

### getExpressionOperator

    protected java.lang.String getExpressionOperator(int index)

  Specified by:
    `getExpressionOperator` in class `SimpleNode`

### getType

    public int getType()

  Description copied from class: `Expression`
  Returns a type of expression. Most common types are defined as public static fields of this interface.

  Overrides:
    `getType` in class `Expression`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.